#!/bin/bash

# Enable networking
nmcli -w 10 networking on >/dev/null 2>&1 || exit 1

# Disconnect all automatically made connections
for device in $(nmcli -t -f device device status) ; do
    [ ":$device" = ":lo" ] && continue
    nmcli -w 10 device disconnect $device >/dev/null 2>&1
done

# Enable wifi
nmcli -w 10 radio all off >/dev/null 2>&1
nmcli -w 10 radio on      >/dev/null 2>&1
nmcli -w 10 radio wifi on >/dev/null 2>&1 || exit 1

exit 0

